summaryrefslogtreecommitdiffstats
path: root/network/openvas-scanner/openvas-scanner.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/openvas-scanner/openvas-scanner.SlackBuild')
-rw-r--r--network/openvas-scanner/openvas-scanner.SlackBuild13
1 files changed, 7 insertions, 6 deletions
diff --git a/network/openvas-scanner/openvas-scanner.SlackBuild b/network/openvas-scanner/openvas-scanner.SlackBuild
index 1420f4ebcc..9b194801b3 100644
--- a/network/openvas-scanner/openvas-scanner.SlackBuild
+++ b/network/openvas-scanner/openvas-scanner.SlackBuild
@@ -25,7 +25,7 @@
PRGNAM=openvas-scanner
VERSION=${VERSION:-3.0.1}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -54,10 +54,6 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-
-mkdir -p $PKG/etc/rc.d
-cat $CWD/rc.openvassd > $PKG/etc/rc.d/rc.openvassd.new
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -82,7 +78,7 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -90,6 +86,11 @@ make install DESTDIR=$PKG
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
+# install rc script and config file.
+install -D -m0755 -oroot -groot $CWD/rc.openvassd $PKG/etc/rc.d/rc.openvassd.new
+cat $CWD/rc.openvas.conf > $PKG/etc/rc.d/rc.openvas.conf.new
+
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild